/* Generated by convfnt.exe*/
#include "device.h"

/* Windows TrebuchetMS 8x23 Font */
/* Originated from: "Trebuchet MS", Height 23, Width 0, Style "normal" */

#define FONT_OFFSET_TYPE typeof(*(((MWCFONT*)0)->offset))

static const MWIMAGEBITS winTrebuchetMS8x23_bits[] = {

/* Character * (0x2a):
   ht=14, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |******|
   | **** |
   | *  * |
   |      |
   |      |
   |      |
   |      |
   |      |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x3000,
0x3000,
0xfc00,
0x7800,
0x4800,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,

/* Character + (0x2b):
   ht=14, width=9
   +---------+
   |         |
   |         |
   |         |
   |    **   |
   |    **   |
   |    **   |
   | ********|
   | ********|
   |    **   |
   |    **   |
   |    **   |
   |         |
   |         |
   |         |
   +---------+ */
0x0000,
0x0000,
0x0000,
0x0c00,
0x0c00,
0x0c00,
0x7f80,
0x7f80,
0x0c00,
0x0c00,
0x0c00,
0x0000,
0x0000,
0x0000,

/* Character , (0x2c):
   ht=14, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |   *  |
   |  *   |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3000,
0x3000,
0x1000,
0x2000,

/* Character - (0x2d):
   ht=14, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   | **** |
   | **** |
   |      |
   |      |
   |      |
   |      |
   |      |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x7800,
0x7800,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,

/* Character . (0x2e):
   ht=14, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |      |
   |      |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3000,
0x3000,
0x0000,
0x0000,

/* Character / (0x2f):
   ht=14, width=9
   +---------+
   |         |
   |      ** |
   |     *** |
   |     **  |
   |     **  |
   |    ***  |
   |    **   |
   |    **   |
   |   ***   |
   |   **    |
   |   **    |
   |  ***    |
   |  **     |
   |         |
   +---------+ */
0x0000,
0x0300,
0x0700,
0x0600,
0x0600,
0x0e00,
0x0c00,
0x0c00,
0x1c00,
0x1800,
0x1800,
0x3800,
0x3000,
0x0000,

/* Character 0 (0x30):
   ht=14, width=9
   +---------+
   |         |
   |   ***   |
   |  *****  |
   | **   ** |
   | **   ** |
   | **   ** |
   | **   ** |
   | **   ** |
   | **   ** |
   | **   ** |
   | **   ** |
   |  *****  |
   |   ***   |
   |         |
   +---------+ */
0x0000,
0x1c00,
0x3e00,
0x6300,
0x6300,
0x6300,
0x6300,
0x6300,
0x6300,
0x6300,
0x6300,
0x3e00,
0x1c00,
0x0000,

/* Character 1 (0x31):
   ht=14, width=9
   +---------+
   |         |
   |    **   |
   |   ***   |
   |  ****   |
   |  * **   |
   |    **   |
   |    **   |
   |    **   |
   |    **   |
   |    **   |
   |    **   |
   |    **   |
   |    **   |
   |         |
   +---------+ */
0x0000,
0x0c00,
0x1c00,
0x3c00,
0x2c00,
0x0c00,
0x0c00,
0x0c00,
0x0c00,
0x0c00,
0x0c00,
0x0c00,
0x0c00,
0x0000,

/* Character 2 (0x32):
   ht=14, width=9
   +---------+
   |         |
   |  *****  |
   | ******* |
   | *    ** |
   |      ** |
   |      ** |
   |     **  |
   |     *   |
   |    **   |
   |   **    |
   |   *     |
   |  ****** |
   | ******* |
   |         |
   +---------+ */
0x0000,
0x3e00,
0x7f00,
0x4300,
0x0300,
0x0300,
0x0600,
0x0400,
0x0c00,
0x1800,
0x1000,
0x3f00,
0x7f00,
0x0000,

/* Character 3 (0x33):
   ht=14, width=9
   +---------+
   |         |
   |  ****   |
   | ******  |
   |  *   ** |
   |      ** |
   |      *  |
   |    **   |
   |    ***  |
   |      ** |
   |      ** |
   |  *   ** |
   | ******  |
   |  ****   |
   |         |
   +---------+ */
0x0000,
0x3c00,
0x7e00,
0x2300,
0x0300,
0x0200,
0x0c00,
0x0e00,
0x0300,
0x0300,
0x2300,
0x7e00,
0x3c00,
0x0000,

/* Character 4 (0x34):
   ht=14, width=9
   +---------+
   |         |
   |       * |
   |      ** |
   |     *** |
   |    **** |
   |   ** ** |
   |  **  ** |
   | **   ** |
   |*********|
   |*********|
   |      ** |
   |      ** |
   |      ** |
   |         |
   +---------+ */
0x0000,
0x0100,
0x0300,
0x0700,
0x0f00,
0x1b00,
0x3300,
0x6300,
0xff80,
0xff80,
0x0300,
0x0300,
0x0300,
0x0000,

/* Character 5 (0x35):
   ht=14, width=9
   +---------+
   |         |
   | ******  |
   | ******  |
   | **      |
   | **      |
   | *****   |
   | ******  |
   | *   *** |
   |      ** |
   |      ** |
   |  *  *** |
   | ******  |
   |  ****   |
   |         |
   +---------+ */
0x0000,
0x7e00,
0x7e00,
0x6000,
0x6000,
0x7c00,
0x7e00,
0x4700,
0x0300,
0x0300,
0x2700,
0x7e00,
0x3c00,
0x0000,

/* Character 6 (0x36):
   ht=14, width=9
   +---------+
   |         |
   |    **   |
   |   **    |
   |  **     |
   | **      |
   | * ***   |
   |*******  |
   |**   *** |
   |**    ** |
   |**    ** |
   |***  *** |
   | ******  |
   |  ****   |
   |         |
   +---------+ */
0x0000,
0x0c00,
0x1800,
0x3000,
0x6000,
0x5c00,
0xfe00,
0xc700,
0xc300,
0xc300,
0xe700,
0x7e00,
0x3c00,
0x0000,

/* Character 7 (0x37):
   ht=14, width=9
   +---------+
   |         |
   | ********|
   | ********|
   |       * |
   |      ** |
   |      *  |
   |     **  |
   |     *   |
   |    **   |
   |    *    |
   |   **    |
   |   **    |
   |  **     |
   |         |
   +---------+ */
0x0000,
0x7f80,
0x7f80,
0x0100,
0x0300,
0x0200,
0x0600,
0x0400,
0x0c00,
0x0800,
0x1800,
0x1800,
0x3000,
0x0000,

/* Character 8 (0x38):
   ht=14, width=9
   +---------+
   |         |
   |  *****  |
   | ******* |
   | **   ** |
   | **   ** |
   |  ** **  |
   |   ***   |
   |  *****  |
   | **   ** |
   | **   ** |
   | **   ** |
   | ******* |
   |  *****  |
   |         |
   +---------+ */
0x0000,
0x3e00,
0x7f00,
0x6300,
0x6300,
0x3600,
0x1c00,
0x3e00,
0x6300,
0x6300,
0x6300,
0x7f00,
0x3e00,
0x0000,

/* Character 9 (0x39):
   ht=14, width=9
   +---------+
   |         |
   |  ****   |
   | ******  |
   |***  *** |
   |**    ** |
   |**    ** |
   |***   ** |
   | ******* |
   |  *****  |
   |     **  |
   |    **   |
   |   **    |
   |  **     |
   |         |
   +---------+ */
0x0000,
0x3c00,
0x7e00,
0xe700,
0xc300,
0xc300,
0xe300,
0x7f00,
0x3e00,
0x0600,
0x0c00,
0x1800,
0x3000,
0x0000,

/* Character : (0x3a):
   ht=14, width=6
   +------+
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |      |
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |      |
   +------+ */
0x0000,
0x0000,
0x0000,
0x0000,
0x3000,
0x3000,
0x0000,
0x0000,
0x0000,
0x0000,
0x0000,
0x3000,
0x3000,
0x0000,

};

/* Character->glyph data. */
static const FONT_OFFSET_TYPE winTrebuchetMS8x23_offset[] = {
  0,	 /* * (0x2a) */
  14,	 /* + (0x2b) */
  28,	 /* , (0x2c) */
  42,	 /* - (0x2d) */
  56,	 /* . (0x2e) */
  70,	 /* / (0x2f) */
  84,	 /* 0 (0x30) */
  98,	 /* 1 (0x31) */
  112,	 /* 2 (0x32) */
  126,	 /* 3 (0x33) */
  140,	 /* 4 (0x34) */
  154,	 /* 5 (0x35) */
  168,	 /* 6 (0x36) */
  182,	 /* 7 (0x37) */
  196,	 /* 8 (0x38) */
  210,	 /* 9 (0x39) */
  224,	 /* : (0x3a) */
};

/* Character width data. */
static const unsigned char winTrebuchetMS8x23_width[] = {
  6,	 /* * (0x2a) */
  9,	 /* + (0x2b) */
  6,	 /* , (0x2c) */
  6,	 /* - (0x2d) */
  6,	 /* . (0x2e) */
  9,	 /* / (0x2f) */
  9,	 /* 0 (0x30) */
  9,	 /* 1 (0x31) */
  9,	 /* 2 (0x32) */
  9,	 /* 3 (0x33) */
  9,	 /* 4 (0x34) */
  9,	 /* 5 (0x35) */
  9,	 /* 6 (0x36) */
  9,	 /* 7 (0x37) */
  9,	 /* 8 (0x38) */
  9,	 /* 9 (0x39) */
  6,	 /* : (0x3a) */
};

/* Exported structure definition. */
MWCFONT font_wTrebuchetMS8x23 = {
	"wTrebuchetMS8x23",
	9,
	14,
	13,
	42,
	17,
	(MWIMAGEBITS*)    winTrebuchetMS8x23_bits,
	(FONT_OFFSET_TYPE *) winTrebuchetMS8x23_offset,
	(unsigned char*)  winTrebuchetMS8x23_width,
};
